aboutsummaryrefslogtreecommitdiffstats
path: root/testing/cython/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2015-03-23 21:24:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-03-26 14:21:21 +0000
commit31ee3a3a1d5b7d35036903f0d439a1f0d9a1e8c1 (patch)
tree14155a269864fce693c5b3b4730858ec789c2071 /testing/cython/APKBUILD
parent3272caae81e30dce0888ce975d79751ccc82a679 (diff)
downloadaports-31ee3a3a1d5b7d35036903f0d439a1f0d9a1e8c1.tar.gz
aports-31ee3a3a1d5b7d35036903f0d439a1f0d9a1e8c1.tar.bz2
aports-31ee3a3a1d5b7d35036903f0d439a1f0d9a1e8c1.tar.xz
testing/cython: new aport
Diffstat (limited to 'testing/cython/APKBUILD')
-rw-r--r--testing/cython/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/cython/APKBUILD b/testing/cython/APKBUILD
new file mode 100644
index 0000000000..14c3594587
--- /dev/null
+++ b/testing/cython/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=cython
+pkgver=0.22
+pkgrel=0
+pkgdesc="Cython is an optimising static compiler for both the Python & the extended Cython programming languages."
+url="http://cython.org"
+arch="all"
+license="Apache 2.0"
+depends=""
+depends_dev="python-dev py-pgen"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="saveas-https://github.com/cython/cython/archive/$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e67b03e8b3667c8e4e7c774ef2e2b638 cython-0.22.tar.gz"
+sha256sums="4f9b52df027fc64a9426f3d7a3c9fbbc5d43734446be6bb3519e59c16d8ddd7f cython-0.22.tar.gz"
+sha512sums="d8cab4f5dae0c6bb1ec49879473916bfceebfa017799c45d9f4affefc4534932e172374b0c95ffb89d78eeba86888d8a71f96a5dd001ed1a5e002e303c6c4770 cython-0.22.tar.gz"